request  = Web::MODULE.request 
response = Web::MODULE.response

p request.cookie
c = response.cookies.add
c.name = 'LastPassword'
# LastPassword cookie を現在の認証に設定
# または，認証がこの時点で提供されていない場合は
# 要求の LastPassword cookie から以前の情報を引き継ぐ
c.value = request.authorization
if c.value == ''
   c.value = request.cookie_fields['LastPassword']
end
# c.secure = true # 必ずセキュリティが確保された接続を使用すること!
c.expires = Phi::DateTime.now + 1 # この cookie の有効期限は 1 日
p [c.name, c.value, c.secure, c.expires]
=begin
Web::PRODUCER.on_html_tag = proc {
  |sender, replace, spec, name, params|
p params
  case name
  when 'date'
    'だて'
  when 'err_info'
    @err_info
  else
    nil
  end
}
=end
